> For the complete documentation index, see [llms.txt](https://docs.twintune.ai/twintune/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.twintune.ai/twintune/api-endpoints/post-vc-inference.md).

# POST VC Inference

## Create new VC Inference Job

<mark style="color:blue;">`POST`</mark> `/v1/inferences-vc`

Creates a voice conversions [inference job](/twintune/types-and-limits/inference-job.md) and adds it to the inference queue. All requests must be made as multipart form requests. The response will contain the job status.

### **Headers**

<table><thead><tr><th width="253">Name</th><th>Value</th></tr></thead><tbody><tr><td>Content-Type</td><td><code>multipart/form-data</code></td></tr><tr><td>x-api-key</td><td><code>&#x3C;token></code></td></tr></tbody></table>

### **Query Parameters**

<table><thead><tr><th width="197">Name</th><th width="134">Type</th><th width="247">Description</th><th>Default Values</th></tr></thead><tbody><tr><td><code>modelId</code></td><td>string</td><td>Name of the user</td><td></td></tr><tr><td><code>indexRate</code></td><td>number</td><td>Influence exerted by the index model</td><td>default=0.76<br>min=0<br>max=1</td></tr><tr><td><code>rmsMixRate</code></td><td>number</td><td>Fusion ratio for replacing the input volume envelope with the output volume envelope</td><td>default=1<br>min=0<br>max=1</td></tr><tr><td><code>filterRadius</code></td><td>integer</td><td>median filter in the result of the pitch recognition of the crop</td><td>default=3<br>min=0<br>max=7</td></tr></tbody></table>

### Body **Parameters** <a href="#request-body" id="request-body"></a>

<table><thead><tr><th width="198">Name</th><th width="107">Type</th><th>Description</th></tr></thead><tbody><tr><td>audioInfer</td><td>binary</td><td>Support  wav, mp3 or flac. Max file size is 50MB.</td></tr></tbody></table>

{% hint style="warning" %}
The parameters "audioInfer" and "modelId" are mandatory for the correct functioning of the application.
{% endhint %}

### **Response**

{% tabs %}
{% tab title="200: OK" %}

<pre class="language-json"><code class="lang-json"><strong>{
</strong>    "inferenceId": "123x456",
    "modelId": "123x456",
    "status": "RUNNING",
    "type": "VC",
    "inferenceUrl": null,
    "jobStartTime": "2024-01-01 20:15:50.428000 +00:00",
    "jobEndTime": null
}
</code></pre>

{% endtab %}

{% tab title="402: Invalid File" %}

```json
{"message": "Invalid file type, use: ['audio/x-wav', 'audio/mpeg', 'audio/flac']"}
```

{% endtab %}

{% tab title="403: Forbidden" %}

```json
{"message": "Forbidden"}
```

{% endtab %}

{% tab title="413: Payload Too Large" %}

```json
{"message": "Payload Too Large"}
```

{% endtab %}

{% tab title="422: Bad Request" %}

```json
{
  "detail": [
    {
      "loc": [
        "query",
        ""
      ],
      "msg": "field required",
      "type": "value_error.missing"
    },
    {
      "loc": [
        "body",
        ""
      ],
      "msg": "field required",
      "type": "value_error.missing"
    }
  ]
}
```

{% endtab %}

{% tab title="429: Rate Limit" %}

```
{"error": "Rate limit exceeded."}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.twintune.ai/twintune/api-endpoints/post-vc-inference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
